<?php
include("qs.php");
require( '../data/config.php');
$conn=mysql_connect($db_host,$db_user,$db_pass);
mysql_query("set names 'utf8'");
mysql_select_db($db_name);
if (PHP_VERSION >= '5.1' && !empty($timezone))
{
    date_default_timezone_set($timezone);
}
$qs=explode(",",$_SESSION["tm_qs"]);
if($qs[0]==0)
   {
   echo "<script>location.href='main.php';</script>";
   exit();
   }
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<HTML xmlns="http://www.w3.org/1999/xhtml">
<HEAD>
<META http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<META http-equiv="Pragma" content="no-cache" />
<LINK href="css/general.css" rel="stylesheet" type="text/css" />
<LINK href="css/main.css" rel="stylesheet" type="text/css" />
</HEAD><BODY>
<div class="h2">系统管理 >> 标签管理</div>
<div class="list-div">

<table cellspacing='1' cellpadding='3'>
<tr>
  <th align='left'><table width="100" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td><div align="left">&nbsp;&nbsp; 标签管理</div></td>
        <td width="150"><div align="center"><h1><span class="action-span"><a href="tag_w.php">添加</a></span></h1></div></td>
      </tr>
    </table></th>
</tr>
<tr><td align="left" valign="top" style="background:#F5F5F5;padding-bottom:8px;">
<TABLE cellSpacing=0 cellPadding=0 width="97.5%" border=0 CALLPADDING="0">
			  <form id="form2" name="form2" method="post" action="tag_w.php">
			  <tr>
                <td height="20" bgcolor="#CCCCCC" style="PADDING-LEFT: 8px; PADDING-TOP: 8px"><input type="checkbox" name="selall" title="全選"  onClick="select_all('form2','chkkindid[]',this.name)">&nbsp;</td>
                    <td width="43%" bgcolor="#CCCCCC" style="PADDING-LEFT: 8px; PADDING-TOP: 8px"><span class="STYLE1">名称</span></td>
                <td bgcolor="#CCCCCC" class="STYLE1"><div align="center">点击数</div>                  <div align="center" class="STYLE1"></div></td>
                    <td bgcolor="#CCCCCC" class="STYLE1"><div align="center">是否显示</div></td>
                    <td bgcolor="#CCCCCC"><div align="center">操作</div></td>
			  </tr>
				<?php 
$sql="select count(*) from tm_tag";
$resultc=mysql_query($sql) or die(mysql_error());
$rsc=mysql_fetch_array($resultc);
$num=$rsc[0];
$pagesize=12; 
if(_get('page')<>"")
   {
   $page=_get('page')-1;
   if($page<0)$page=0;
   if($page>(intval($num/$pagesize)))$page=intval($num/$pagesize);
   }
else
	$page=0;
		  $sql="select * from tm_tag order by tag_id desc limit ".$pagesize*$page.",".$pagesize;
		  $rsql=mysql_query($sql);
		  while($rs=mysql_fetch_object($rsql))
		  {
		  ?>
              <TR BORDER="0" WIDTH="100%" bgcolor="#EEEEEE" onmousemove="this.style.color='#000000';this.style.backgroundColor='#D5D5D5'" onmouseout="this.style.backgroundColor='#EEEEEE';this.style.color='#000000'">
                <TD width="6%"  height=25 
                align=left vAlign=top style="PADDING-LEFT: 8px; PADDING-TOP: 8px; border-bottom:#666666 dotted 1px;"><input name="chkkindid[]" type="checkbox" id="chkkindid[]" value="<?php echo $rs->tag_id;?>" /></TD>
                <TD  height=25 
                align=left vAlign=top style="PADDING-LEFT: 8px; PADDING-TOP: 8px; border-bottom:#666666 dotted 1px;">
               <?php echo $rs->tag_name;?></TD>
                <TD 
                align=left vAlign=top style="PADDING-LEFT: 8px; PADDING-TOP: 8px;border-bottom:#666666 dotted 1px;"><div align="center">
                  <?php  echo $rs->num;?>
                </div></TD>
                <TD 
                align=left vAlign=top style="PADDING-LEFT: 8px; PADDING-TOP: 8px;border-bottom:#666666 dotted 1px;"><div align="center">
                  <?php if($rs->tag_show==1) echo "<font color=red>是</font>"; else echo "<font color=#006600>否</font>";?>
                </div></TD>
                <TD width="16%" 
                align=left vAlign=top style="PADDING-LEFT: 8px; PADDING-TOP: 8px;border-bottom:#666666 dotted 1px;"><div align="center"><a href="tag_w.php?id=<?php echo $rs->tag_id;?>">更改</a> <a href="#"></a> </div></TD>
              </TR>
		  <?php }?>
			<TR BORDER="0" WIDTH="100%">
              <TD height="30"  colspan="5">&nbsp;&nbsp;
                <input type="image" src="images/del.gif" align="absmiddle" border="0" name="del" onclick="javascript:chkform(form2.name,'确定刪除吗,一般情况请不要删除哦？','del');" />
		                      <input name="action" type="hidden" id="action" />
		                      &nbsp;&nbsp;&nbsp;</TD>
			</TR>
		  </form>
<TR BORDER="0" WIDTH="100%">
			  <TD height="30"  colspan="8">
			  <div class="page">
			  总数：<?php echo $num;?>个,每页显示<?php echo $pagesize;?>个，共<?php echo ceil($num/$pagesize);?>页，共<?php echo ceil($num/$pagesize);?>页
		  共<?php echo ceil($num/$pagesize);?>页
	      <a href="tag.php?page=1">首页</a><?php if($page>0) echo " <a href='tag.php?page=".$page."'>上一页</a> ";
for($i=($page>4?($page-3):1);$i<=($page<(ceil($num/$pagesize)-4)?(($page>=5?($page-3):1)+8):ceil($num/$pagesize));$i++)
    {
	if(($page+1)==($i))
	echo "&nbsp;".$i."&nbsp;";
	else
	echo "<a href=tag.php?page=".$i.">[".($i)."]</a>";
	}
	?><?php if($page<ceil($num/$pagesize)-1) echo " <a href='tag.php?page=".($page+2)."'>下一页</a> ";?><a href="tag.php?page=<?php echo round(ceil($num/$pagesize));?>">末页</a>		  </div>			  </TD>
		  </TR>
      </TABLE>
</td>
</tr></table></div>

<?php include "boot.php";?>
</body></html>
<script language="JavaScript" >

function chkform(theForm,msg,action){
	if (confirm(msg)){

		document.forms[theForm].action.value = action;
		document.forms[theForm].submit();
		return true;
	}else{
		return false;
	}
}

// -------- 全選或取消 checkbox 方塊
<!--
function select_all(formName, elementName, selectAllName) {
	if(document.forms[formName].elements[selectAllName].checked) {
		
		if(document.forms[formName].elements[selectAllName].length = 1 &&
		    typeof(document.forms[formName].elements[elementName]) != "undefined" ) {
		
			document.forms[formName].elements[elementName].checked = true;

		    for(var i = 0; i < document.forms[formName].elements[elementName].length; i++)
			document.forms[formName].elements[elementName][i].checked = true;
		}
	}
	else {
		if(document.forms[formName].elements[selectAllName].length = 1 &&
		    typeof(document.forms[formName].elements[elementName]) != "undefined" ) {
			document.forms[formName].elements[elementName].checked = false;

		    for(var i = 0; i < document.forms[formName].elements[elementName].length; i++)
				document.forms[formName].elements[elementName][i].checked = false;
		}
	}
}
//-->
</script>